Remove the DTLS1_BAD_VER thing from 0.9.9-dev. It is present in 0.9.8
authorLutz Jänicke <jaenicke@openssl.org>
Mon, 13 Oct 2008 06:45:59 +0000 (06:45 +0000)
committerLutz Jänicke <jaenicke@openssl.org>
Mon, 13 Oct 2008 06:45:59 +0000 (06:45 +0000)
but has been omitted from HEAD (0.9.9), see commit
  http://cvs.openssl.org/chngview?cn=16627
by appro.

ssl/dtls1.h
ssl/s3_pkt.c

index 1438b25..6548a98 100644 (file)
@@ -68,7 +68,6 @@ extern "C" {
 #endif
 
 #define DTLS1_VERSION                  0xFEFF
-#define DTLS1_BAD_VER                  0x0100
 
 #if 0
 /* this alert description is not specified anywhere... */
index 1d6760e..561ba5c 100644 (file)
@@ -829,8 +829,7 @@ int ssl3_write_pending(SSL *s, int type, const unsigned char *buf,
                        return(s->s3->wpend_ret);
                        }
                else if (i <= 0) {
-                       if (s->version == DTLS1_VERSION ||
-                           s->version == DTLS1_BAD_VER) {
+                       if (s->version == DTLS1_VERSION) {
                                /* For DTLS, just drop it. That's kind of the wh
 ole
                                   point in using a datagram service */